Loading...
Searching...
No Matches
version.h File Reference

Libswresample version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBSWRESAMPLE_VERSION_MINOR 3
#define | LIBSWRESAMPLE_VERSION_MICRO 100
#define | LIBSWRESAMPLE_VERSION_INT
#define | LIBSWRESAMPLE_VERSION
#define | LIBSWRESAMPLE_BUILD LIBSWRESAMPLE_VERSION_INT
#define | LIBSWRESAMPLE_IDENT "SwR" AV_STRINGIFY(LIBSWRESAMPLE_VERSION)

## Detailed Description

Libswresample version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBSWRESAMPLE_VERSION_MINOR

#define LIBSWRESAMPLE_VERSION_MINOR 3

Definition at line 33 of file version.h.

## LIBSWRESAMPLE_VERSION_MICRO

#define LIBSWRESAMPLE_VERSION_MICRO 100

Definition at line 34 of file version.h.

## LIBSWRESAMPLE_VERSION_INT

#define LIBSWRESAMPLE_VERSION_INT

Value:
AV_VERSION_INT(LIBSWRESAMPLE_VERSION_MAJOR, \
LIBSWRESAMPLE_VERSION_MINOR, \
LIBSWRESAMPLE_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBSWRESAMPLE_VERSION_MINOR
#define LIBSWRESAMPLE_VERSION_MINOR
Definition version.h:33
LIBSWRESAMPLE_VERSION_MICRO
#define LIBSWRESAMPLE_VERSION_MICRO
Definition version.h:34
LIBSWRESAMPLE_VERSION_MAJOR
#define LIBSWRESAMPLE_VERSION_MAJOR
Definition version_major.h:29

Definition at line 36 of file version.h.

## LIBSWRESAMPLE_VERSION

#define LIBSWRESAMPLE_VERSION

Value:
AV_VERSION(LIBSWRESAMPLE_VERSION_MAJOR, \
LIBSWRESAMPLE_VERSION_MINOR, \
LIBSWRESAMPLE_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 39 of file version.h.

## LIBSWRESAMPLE_BUILD

#define LIBSWRESAMPLE_BUILD LIBSWRESAMPLE_VERSION_INT

Definition at line 42 of file version.h.

## LIBSWRESAMPLE_IDENT

#define LIBSWRESAMPLE_IDENT "SwR" AV_STRINGIFY(LIBSWRESAMPLE_VERSION)

Definition at line 44 of file version.h.